diff --git a/doc/src/sgml/amcheck.sgml b/doc/src/sgml/amcheck.sgml
index 98f836e15e7..211a0ae1945 100644
--- a/doc/src/sgml/amcheck.sgml
+++ b/doc/src/sgml/amcheck.sgml
@@ -201,7 +201,7 @@ ORDER BY c.relpages DESC LIMIT 10;
      <para>
       <function>gin_index_check</function> tests that its target GIN index
       has consistent parent-child tuples relations (no parent tuples
-      require tuple adjustement) and page graph respects balanced-tree
+      require tuple adjustment) and page graph respects balanced-tree
       invariants (internal pages reference only leaf page or only internal
       pages).
      </para>
diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index a746c967053..65bbfc34f50 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -238,7 +238,7 @@
       <entry>PostgreSQL 18 and later</entry>
       <entry>Current latest version. The secret key used in query
         cancellation was enlarged from 4 bytes to a variable length field. The
-        BackendKeyData message was changed to accomodate that, and the CancelRequest
+        BackendKeyData message was changed to accommodate that, and the CancelRequest
         message was redefined to have a variable length payload.
       </entry>
       </row>
diff --git a/doc/src/sgml/ref/initdb.sgml b/doc/src/sgml/ref/initdb.sgml
index 2f1f9a42f90..7613174c18b 100644
--- a/doc/src/sgml/ref/initdb.sgml
+++ b/doc/src/sgml/ref/initdb.sgml
@@ -543,7 +543,7 @@ PostgreSQL documentation
        </para>
        <para>
         Note that if <option>--no-sync-data-files</option> is used in
-        conjuction with <option>--sync-method=syncfs</option>, some or all of
+        conjunction with <option>--sync-method=syncfs</option>, some or all of
         the aforementioned files and directories will be synchronized because
         <literal>syncfs</literal> processes entire file systems.
        </para>
diff --git a/doc/src/sgml/system-views.sgml b/doc/src/sgml/system-views.sgml
index 737e7489b78..b58c52ea50f 100644
--- a/doc/src/sgml/system-views.sgml
+++ b/doc/src/sgml/system-views.sgml
@@ -4070,7 +4070,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
    <productname>PostgreSQL</productname> itself and memory allocated
    by extensions using the mechanisms detailed in
    <xref linkend="xfunc-shared-addin" />. This view will output multiple rows
-   for each of the shared memory segments provided that they are spread accross
+   for each of the shared memory segments provided that they are spread across
    multiple NUMA nodes. This view should not be queried by monitoring systems
    as it is very slow and may end up allocating shared memory in case it was not
    used earlier.
